aboutsummaryrefslogtreecommitdiffstats
path: root/gcc-4.8.1/contrib/reghunt/bin/gcc-build-full
diff options
context:
space:
mode:
authorDan Albert <danalbert@google.com>2016-02-04 18:51:25 +0000
committerGerrit Code Review <noreply-gerritcodereview@google.com>2016-02-04 18:51:25 +0000
commitedbbe53c4ffa154a5f9ae3f89ba8105993d8800e (patch)
tree4cedb380a14027d9c4d1e531c2340c43cbd79175 /gcc-4.8.1/contrib/reghunt/bin/gcc-build-full
parenta4ca82cac69c3147143d7b4b4d7cdeb5e02f20ef (diff)
parent3186be22b6598fbd467b126347d1c7f48ccb7f71 (diff)
downloadtoolchain_gcc-edbbe53c4ffa154a5f9ae3f89ba8105993d8800e.tar.gz
toolchain_gcc-edbbe53c4ffa154a5f9ae3f89ba8105993d8800e.tar.bz2
toolchain_gcc-edbbe53c4ffa154a5f9ae3f89ba8105993d8800e.zip
Merge "Check in a pristine copy of GCC 4.8.1."
Diffstat (limited to 'gcc-4.8.1/contrib/reghunt/bin/gcc-build-full')
-rwxr-xr-xgcc-4.8.1/contrib/reghunt/bin/gcc-build-full52
1 files changed, 52 insertions, 0 deletions
diff --git a/gcc-4.8.1/contrib/reghunt/bin/gcc-build-full b/gcc-4.8.1/contrib/reghunt/bin/gcc-build-full
new file mode 100755
index 000000000..21e6d684f
--- /dev/null
+++ b/gcc-4.8.1/contrib/reghunt/bin/gcc-build-full
@@ -0,0 +1,52 @@
+#! /bin/sh
+
+# Perform a simple build of GCC for a particular language, using several
+# environment variables defined by reghunt scripts and config files.
+#
+# Copyright (C) 2007 Free Software Foundation.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# For a copy of the GNU General Public License, write the the
+# Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02111-1301, USA.
+
+abort() {
+ echo "`date` $1"
+ exit 1
+}
+
+ID=$1
+LOGDIR=${REG_BUILDDIR}/logs/${BUGID}/${ID}
+mkdir -p $LOGDIR
+
+echo "`date` building GCC ($REG_LANGS) for id ${ID}"
+
+cd $REG_BUILDDIR
+rm -rf obj
+mkdir obj
+cd obj
+
+echo "REG_CONFOPTS = $REG_CONFOPTS" > ${LOGDIR}/configure.log
+echo "REG_PREFIX = $REG_PREFIX" >> ${LOGDIR}/configure.log
+echo "REG_LANGS = $REG_LANGS" >> ${LOGDIR}/configure.log
+echo >> ${LOGDIR}/configure.log
+
+${REG_GCCSRC}/configure \
+ --prefix=$REG_PREFIX \
+ $REG_CONFOPTS \
+ --enable-languages=$REG_LANGS \
+ >> ${LOGDIR}/configure.log 2>&1 || abort " configure failed"
+
+make $REG_MAKE_J > ${LOGDIR}/make.log 2>&1 || abort " make failed"
+make install > ${LOGDIR}/make.install.log 2>&1 || abort " make install failed"
+
+exit 0